import request from '@/utils/request'

// 员工数据权限配置
export function pmPerformanceList() {
  return request({
    url: '/ehr/pm/config/pmPerformance/list',
    method: 'get'
  })
}

// 保存绩效考核表查询数据权限
export function pmPerformanceSave(data) {
  return request({
    url: '/ehr/pm/config/pmPerformance/save',
    method: 'post',
    data: data
  })
}

// 分数调整权限
export function pmScoreAdjustmentList(query) {
  return request({
    url: '/ehr/pm/config/pmScoreAdjustment/list',
    method: 'get'
  })
}

// 分解结果
export function pmScoreAdjustmentSalvageList(query) {
  return request({
    url: '/ehr/pm/config/pmScoreAdjustment/salvageList',
    method: 'get'
  })
}

// 保存分数调整权限数据
export function pmScoreAdjustmentSave(data) {
  return request({
    url: '/ehr/pm/config/pmScoreAdjustment/save',
    method: 'post',
    data: data
  })
}