// 采购员上级采购经理匹配
import request from "@/utils/request";

// 列表
export const LIST = (data, page) => {
  return request({
    url: `/pu/match/list`,
    method: "post",
    data,
    params: page,
  });
}
// 新增
export const ADD = (data) => {
  return request({
    url: `/pu/match`,
    method: "post",
    data,
  });
}
// 编辑
export const EDIT = (data) => {
  return request({
    url: `/pu/match`,
    method: "PUT",
    data,
  });
}

// 详情
export const DETAILS = (params) => {
  return request({
    url: `/pu/match/${params.id}`,
    method: "GET",
    // params,
  });
}
// 删除
export const DELETE = (data) => {
  return request({
    url: `/pu/match`,
    method: "DELETE",
    data,
  });
}
// 导入
export const IMPORT = (data) => {
  return request({
    url: `/pu/match/import`,
    method: "post",
    data,
  });
}
// 启用/停用
export const ENABLE = (data) => {
  return request({
    url: `/pu/match/enable`,
    method: "put",
    data,
  });
}

// 导出
export const EXPORT = (data) => {
  return request({
    url: `/pu/match/export`,
    method: "post",
    data,
  });
}
