export default function useColumns() {
  const FormColumns = [
    {
      item: { key: "timeFrame", title: "时段", required: true, },
      attr: {
        is: "el-select",
        dictName: "canteen_mealtime",
        placeholder: "请选择",
      },
    },
    {
      item: { key: "name", title: "菜名", required: true, },
      attr: {
        is: "el-input",
        placeholder: "请输入菜名",
      },
    },
    {
      item: { key: "price", title: "价格", required: true, },
      attr: {
        is: "el-input-number",
        min: 0,
        placeholder: "请输入价格",
      },
    },
    {
      item: { key: "billDate", title: "日期", required: true, },
      attr: {
        is: "el-date-picker",
        type: "date",
        valueFormat: "yyyy-MM-dd",
        placeholder: "选择日期",
      },
    },
  ]
  return { FormColumns }
};